apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  creationTimestamp: '2018-09-07T05:52:20Z'
  generation: 1
  labels:
    synchronousId: '0'
  name: jbamq
  namespace: tremes
  resourceVersion: '522328'
  selfLink: /apis/apps.openshift.io/v1/namespaces/tremes/deploymentconfigs/jbamq
  uid: 2f8b97e6-b262-11e8-927c-525400ed540c
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    name: jbamq
  strategy:
    activeDeadlineSeconds: 21600
    recreateParams:
      timeoutSeconds: 600
    resources: {}
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        name: jbamq
        synchronousId: '0'
      name: jbamq
    spec:
      containers:
        - env:
            - name: AMQ_PROTOCOLS
              value: tcp
            - name: AMQ_TOPIC
            - name: AMQ_USER
              value: mqUser
            - name: AMQ_PASSWORD
              value: mqPassword
            - name: AMQ_ADMIN_PASSWORD
              value: adminPassword
            - name: AMQ_QUEUES
              value: 'queue1,queue2'
            - name: AMQ_ADMIN_USERNAME
              value: adminUser
          image: >-
            docker-registry.engineering.redhat.com/amq-broker-7/amq-broker-72-openshift:dev
          imagePullPolicy: Always
          name: jbamq
          ports:
            - containerPort: 61616
              name: tcp
              protocol: TCP
          readinessProbe:
            exec:
              command:
                - /bin/bash
                - '-c'
                - /opt/amq/bin/readinessProbe.sh
            failureThreshold: 3
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
  test: false
  triggers:
    - type: ConfigChange
status:
  availableReplicas: 1
  conditions:
    - lastTransitionTime: '2018-09-07T05:53:08Z'
      lastUpdateTime: '2018-09-07T05:53:08Z'
      message: Deployment config has minimum availability.
      status: 'True'
      type: Available
    - lastTransitionTime: '2018-09-07T05:52:26Z'
      lastUpdateTime: '2018-09-07T05:53:09Z'
      message: replication controller "jbamq-1" successfully rolled out
      reason: NewReplicationControllerAvailable
      status: 'True'
      type: Progressing
  details:
    causes:
      - type: ConfigChange
    message: config change
  latestVersion: 1
  observedGeneration: 1
  readyReplicas: 1
  replicas: 1
  unavailableReplicas: 0
  updatedReplicas: 1

